3 votes

Yum update shows "Killed"

Although this is an old topic, the issue sometimes still exists. What I've ran into was that the system hadn't got enough RAM to process the update so eventually it got killed. The solution was to ...
Jaapje's user avatar
  • 31
3 votes
Accepted

How do I install liblzma-dev with YUM / dnf

The RockyLinux 8 package that provides liblzma development files would be xz-devel from the BaseOS repository. The BaseOS repository should be enabled by default and you should be able to install from ...
GracefulRestart's user avatar
2 votes
Accepted

RHEL + how to download rpms from RHEL 8.x repos when using RHEL machine 7.x

yum's --releasever= flag is your friend. However, there's (as far as I can tell) no guarantees for forward compatibility of old yum versions with new repo layouts. It makes much more sense to use the ...
Marcus Müller's user avatar
2 votes

yum update does not work (repository problem)

The file /etc/yum.repos.d/CentOS-Base.repo should look like this (example from CentOS 7, your version may be somewhat different but should have a similar structure): # CentOS-Base.repo # # The mirror ...
telcoM's user avatar
  • 96.9k
1 vote

circular dependency between yum-utils and yum-config-manager

You can try adding the repo of your company manually. Add a new file named /etc/yum.repos.d/mycompany.repo Add the following entry to that file. [mycompany] name=MyCompany Repo baseurl=http://repo....
Amartya Sinha's user avatar
1 vote

Centos7 not able to download yum-downloadonly

The yum syntax for it is yum install --downloadonly package_name which will download the rpm's into /var/cache/yum/$arch/$repo/packages (except if you use also the option --downloaddir=/tmp) and if ...
admstg's user avatar
  • 684
1 vote
Accepted

Changing yum source through Gnome GUI

AFAIK there is no (popular) app to manage yum repositories. The options you have are from command line. For example you can use: yum-config-manager --enable repository to enable particular repo. ...
Romeo Ninov's user avatar
  • 17.5k
1 vote
Accepted

error: libcurl >= 7.28.0 library and headers are required with support for https

Since you’re stuck with 4.0.3, and since the R project determined that upgrading libcurl 7 to 8 doesn’t break API or ABI, you can patch the build. Before running ./configure, run awk '/> 7/ { c = 1 ...
Stephen Kitt's user avatar
1 vote

How to install PHP obtained from remi's repo and created local repository?

It will be much more simple to use rsync to pull the full repository with its metadata and use it as a local mirror. Don't know how you create your metadata (repodata directory), but obviously, module ...
Remi Collet's user avatar
1 vote
Accepted

DNF|YUM - Diable a package upgrade for one specific package version

Using yum or dnf, there is no tool that can block updates to a specific version while allowing anything afterwards. All that can be done is to use one of the methods that you've mentioned such as ...
Nasir Riley's user avatar
  • 11.4k
1 vote

AIX 7.1 Python3 Installation: Symbol Resolution Issue

From a now-deleted comment by Lorinczy Zsigmond: You can try reordering LIBPATH: /usr/local/lib:/opt/freeware/lib64:/usr/lib
1 vote

ec2 Alma 9.2 stuck on old kernel version

I just experienced this issue upgrading from kernel-core-5.14.0-284.11.1.el9_2.x86_64 to kernel-core-5.14.0-284.18.1.el9_2.x86_64 Although I have not found a solution, I discovered that setting the &...
Svižný Svišť's user avatar
1 vote
Accepted

How to install newer packages on Oracle Linux?

Oracle Linux is a spin-off of Red Hat Enterprise and is an "enterprise" OS. That means stability is king. If you want something newer, you need a more cutting-edge distro or you need to ...
Aaron D. Marasco's user avatar
1 vote

How to install pcre2-tools on Rocky Linux

The package you mention is available on the Devel repo The wiki mentions : This repository should only be enabled for package building/development purposes and should not be permanently enabled. To ...
Nicolas Formichella's user avatar
1 vote

How to update SSL components on server too old to actually download the packages over SSL

It didn't work for me but you can try with the following steps: Create a backup of the current CentOS-Base.repo file cp -r /etc/yum.repos.d/CentOS-Base.repo /etc/yum.repos.d/CentOS-Base.repo.old Fix ...
Daniel Vélez's user avatar

Only top scored, non community-wiki answers of a minimum length are eligible